# GimpUi.ZoomPreview.new_with_model_from_drawable

    function new_with_model_from_drawable(drawable: Gimp.Drawable, model: GimpUi.ZoomModel): Gtk.Widget {
        // Gjs wrapper for gimp_zoom_preview_new_with_model_from_drawable()
    }

Creates a new GimpUi.ZoomPreview widget for drawable using the given model.

This variant of GimpUi.ZoomPreview.new_from_drawable allows you to create a preview using an existing zoom model. This may be useful if for example you want to have two zoom previews that keep their zoom factor in sync.

Since 2.10

drawable

  a Gimp.Drawable

model

  a GimpUi.ZoomModel

Returns

  a new GimpUi.ZoomPreview.